Next: Certificate Management, Previous: General GPGSM Commands, Up: GPGSM Commands

#### 4.1.2 Commands to select the type of operation

`--encrypt`
  Perform an encryption. The keys the data is encrypted too must be set using the option `--recipient`.
`--decrypt`
  Perform a decryption; the type of input is automatically determined. It may either be in binary form or PEM encoded; automatic determination of base-64 encoding is not done.
`--sign`
  Create a digital signature. The key used is either the fist one found in the keybox or those set with the `--local-user` option.
`--verify`
  Check a signature file for validity. Depending on the arguments a detached signature may also be checked.
`--server`
  Run in server mode and wait for commands on the `stdin`.
`--call-dirmngr` command`[`args`]`
  Behave as a Dirmngr client issuing the request command with the optional list of args. The output of the Dirmngr is printed stdout. Please note that file names given as arguments should have an absolute file name (i.e. commencing with `/` because they are passed verbatim to the Dirmngr and the working directory of the Dirmngr might not be the same as the one of this client. Currently it is not possible to pass data via stdin to the Dirmngr. command should not contain spaces.

  This is command is required for certain maintaining tasks of the dirmngr where a dirmngr must be able to call back to `gpgsm`. See the Dirmngr manual for details.

`--call-protect-tool` arguments
  Certain maintenance operations are done by an external program call `gpg-protect-tool`; this is usually not installed in a directory listed in the PATH variable. This command provides a simple wrapper to access this tool. arguments are passed verbatim to this command; use ‘`--help`’ to get a list of supported operations.